%define		_class		HTTP
%define		_subclass	Request
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.4.4
Release:	%mkrel 12
Summary:	Provides an easy way to perform HTTP requests
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/HTTP_Request/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-Net_URL >= 1.0.12
Requires:	php-pear-Net_Socket >= 1.0
BuildArch:	noarch
BuildRequires:	php-pear

%description
Supports GET/POST/HEAD/TRACE/PUT/DELETE, Basic authentication, Proxy,
Proxy Authentication etc.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

#%post
#%if %mdkversion < 201000
#pear install --nodeps --soft --force --register-only \
#    %{_datadir}/pear/packages/%{upstream_name}.xml >/dev/null || :
#%endif

#%preun
#%if %mdkversion < 201000
#if [ "$1" -eq "0" ]; then
#    pear uninstall --nodeps --ignore-errors --register-only \
#        %{pear_name} >/dev/null || :
#fi
#%endif

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.4.4-12.mga8
+ Revision: 1499007
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4.4-11.mga7
+ Revision: 1273238
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1.4.4-10.mga6
+ Revision: 964774
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4-9.mga5
+ Revision: 746539
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4-8.mga5
+ Revision: 687295
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.4-7.mga4
+ Revision: 516850
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.4-6.mga3
+ Revision: 376327
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.4.4-5.mga1
+ Revision: 20885
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-HTTP_Request


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-5mdv2011.0
+ Revision: 607111
- rebuild

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.4-4mdv2010.1
+ Revision: 477896
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4.4-3mdv2010.0
+ Revision: 426647
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-2mdv2009.1
+ Revision: 321869
- rebuild

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.4-1mdv2009.1
+ Revision: 305784
- update to new version 1.4.4

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-1mdv2009.0
+ Revision: 272591
- 1.4.3

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4.1-4mdv2009.0
+ Revision: 224748
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-3mdv2008.1
+ Revision: 178518
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Thierry Vignaud <tv@mandriva.org> 1.4.1-2mdv2008.0
+ Revision: 64199
- rebuild

* Sun May 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdv2008.0
+ Revision: 28898
- 1.4.1

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-1mdv2008.0
+ Revision: 15545
- 1.4.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2007.0
+ Revision: 81131
- Import php-pear-HTTP_Request

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdk
- new group (Development/PHP)

* Sun Nov 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-1mdk
- 1.3.0

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-8mdk
- rebuilt to fix auto deps

* Thu Aug 18 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.4-7mdk
- included missing file (Listener.php)

* Tue Aug 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-5mdk
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-4mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-3mdk
- fix deps

* Mon Jul 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-2mdk
- fix spec file to conform with the others

* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.4-1mdk
- First mdk package

